import { PropType } from "vue";
import { propcolumns, propExpandRender } from "./propTypes";
declare const TableRow: import("vue").DefineComponent<{
    expandRender: propExpandRender;
    expandClass: any;
    colspan: NumberConstructor;
    row: {
        type: PropType<import("./propTypes")._TabelDataItem<{}>>;
        required: true;
    };
    index: {
        type: NumberConstructor;
        required: true;
    };
    columns: {
        type: propcolumns;
        default(): never[];
    };
    border: {
        type: BooleanConstructor;
        default: boolean;
    };
    lv: {
        type: NumberConstructor;
        default: number;
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    click: (e: MouseEvent) => true;
    dblclick: (e: MouseEvent) => true;
    mouseover: (e: MouseEvent) => true;
    mouseout: (e: MouseEvent) => true;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    expandRender: propExpandRender;
    expandClass: any;
    colspan: NumberConstructor;
    row: {
        type: PropType<import("./propTypes")._TabelDataItem<{}>>;
        required: true;
    };
    index: {
        type: NumberConstructor;
        required: true;
    };
    columns: {
        type: propcolumns;
        default(): never[];
    };
    border: {
        type: BooleanConstructor;
        default: boolean;
    };
    lv: {
        type: NumberConstructor;
        default: number;
    };
}>> & {
    onClick?: ((e: MouseEvent) => any) | undefined;
    onDblclick?: ((e: MouseEvent) => any) | undefined;
    onMouseout?: ((e: MouseEvent) => any) | undefined;
    onMouseover?: ((e: MouseEvent) => any) | undefined;
}, {
    columns: import("./types").TableComponent.Columns<any>[];
    border: boolean;
    expandClass: any;
    lv: number;
}>;
export default TableRow;
